System.Web 2.0.0.0 System.ComponentModel.StringConverter

The class derives from the class and provides a list of control IDs for display in a property grid control in design-time environments. The class also serves as the base class for the and classes, which are type converters for Web controls and controls that support validation property attributes, respectively.

For more information about type converters, see [<topic://cpconImplementingTypeConverter>] or [<topic://cpconGeneralizedTypeConversion>].

Provides a type converter that retrieves a list of control IDs in the current container.

- Constructor

  You should never access a type converter directly. Instead, call the appropriate converter by using a object. For more information, see the examples in .

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Returns a value indicating whether the control ID of the specified control is added to the that is returned by the method.

  true in all cases.

  The control instance to test for inclusion in the . 2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The method is called on each control found in the container. The control ID is only added to the if the method returns true.

  Returns a collection of control IDs from the container within the when provided with a format context.

  A that holds a set of strings representing the control IDs of the controls in the current container. If no controls are currently contained, an empty collection is returned. If the context is null or there is no current container, then null is returned.

  An that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null. 2.0.0.0
- Method
  System.Boolean ``

  As implemented in this class, this method always returns false.

  Returns a value indicating whether the collection of standard values returned by the method is an exclusive list of possible values, using the specified context.

  false in all cases.

  An that provides a format context. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Returns a value indicating whether this object supports a standard set of control ID values that can be picked from a list, using the specified context.

  true if should be called to find a common set of control ID values the object supports; otherwise, false. This implementation returns true if the context is not null; otherwise, false.

  An that provides a format context. 2.0.0.0